> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataforb2b.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrich Profile

> Enrich a profile with requested data (full profile, emails, phone)

## Credit Cost

| Data Type          |     Credits |
| :----------------- | ----------: |
| Full profile info  | 1.5 credits |
| Personal email     |    1 credit |
| Professional email |   3 credits |
| Phone number       |  10 credits |
| GitHub profile     |    1 credit |

<Note>
  You can select which data to enrich. Credits are only charged for the data types you request (e.g., if you only request phone number, you'll be charged 10 credits).
</Note>

***

## Request Body

<ParamField body="profile_identifier" type="string" required>
  Profile identifier. Supports multiple formats:

  * **Full URL:** `https://www.linkedin.com/in/john-doe`
  * **Short URL:** `linkedin.com/in/john-doe`
  * **Public ID:** `john-doe`
  * **Member identity:** `ACoAABxxxxxx`
  * **URN:** `urn:li:fsd_profile:ACoAABxxxxxx`
  * **Encoded ID:** `prof_PVXj1LZJg54zXKcnKNBusu8LgvJX5SYm5QYj` ⭐ (recommended)
</ParamField>

<ParamField body="enrich_profile" type="boolean" default="false">
  Enrich the full profile data (experience, education, skills, etc.)
</ParamField>

<ParamField body="enrich_work_email" type="boolean" default="false">
  Enrich professional email address
</ParamField>

<ParamField body="enrich_personal_email" type="boolean" default="false">
  Enrich personal email address
</ParamField>

<ParamField body="enrich_phone" type="boolean" default="false">
  Enrich phone number
</ParamField>

<ParamField body="enrich_github" type="boolean" default="false">
  Enrich GitHub profile data (repositories, contributions, etc.). Requires the profile to have a GitHub link.
</ParamField>

<Note>
  At least one `enrich_*` field must be set to `true`.
</Note>

***

## Response

<ResponseField name="profile" type="object">
  Full profile data (only present if `enrich_profile: true`)

  <Expandable title="profile properties">
    <ResponseField name="id" type="string">
      Encoded profile ID (prof\_xxx)
    </ResponseField>

    <ResponseField name="first_name" type="string">
      First name
    </ResponseField>

    <ResponseField name="last_name" type="string">
      Last name
    </ResponseField>

    <ResponseField name="headline" type="string">
      Professional headline
    </ResponseField>

    <ResponseField name="location" type="string">
      Current location
    </ResponseField>

    <ResponseField name="country" type="string">
      Country code
    </ResponseField>

    <ResponseField name="industry" type="string">
      Industry
    </ResponseField>

    <ResponseField name="summary" type="string">
      Profile summary/bio
    </ResponseField>

    <ResponseField name="profile_language" type="string">
      Profile language code
    </ResponseField>

    <ResponseField name="profile_picture_url" type="string">
      Profile picture URL
    </ResponseField>

    <ResponseField name="links" type="object">
      Social media links

      <Expandable title="links properties">
        <ResponseField name="linkedin" type="string">
          profile URL
        </ResponseField>

        <ResponseField name="twitter" type="string | null">
          Twitter profile URL
        </ResponseField>

        <ResponseField name="github" type="string | null">
          GitHub profile URL
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="experience" type="array">
      Work experience history

      <Expandable title="experience item properties">
        <ResponseField name="company" type="object">
          Company information

          <Expandable title="company properties">
            <ResponseField name="id" type="string">
              Company ID (org\_xxx)
            </ResponseField>

            <ResponseField name="name" type="string">
              Company name
            </ResponseField>

            <ResponseField name="url" type="string">
              Company URL
            </ResponseField>

            <ResponseField name="logo_url" type="string">
              Company logo URL
            </ResponseField>

            <ResponseField name="size" type="string">
              Company size (e.g., "10,001+ employees")
            </ResponseField>

            <ResponseField name="industry" type="string">
              Company industry
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="title" type="string">
          Job title
        </ResponseField>

        <ResponseField name="description" type="string">
          Job description
        </ResponseField>

        <ResponseField name="employment_type" type="string">
          Employment type (e.g., "Full-time", "Contract")
        </ResponseField>

        <ResponseField name="location" type="string">
          Job location
        </ResponseField>

        <ResponseField name="duration_months" type="number">
          Duration in months
        </ResponseField>

        <ResponseField name="start_date" type="string">
          Start date (YYYY-MM format)
        </ResponseField>

        <ResponseField name="end_date" type="string | null">
          End date (YYYY-MM format), null if current
        </ResponseField>

        <ResponseField name="is_current" type="boolean">
          Whether this is the current position
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="education" type="array">
      Education history

      <Expandable title="education item properties">
        <ResponseField name="school" type="object">
          School information

          <Expandable title="school properties">
            <ResponseField name="id" type="string">
              School ID (edu\_xxx)
            </ResponseField>

            <ResponseField name="name" type="string">
              School name
            </ResponseField>

            <ResponseField name="url" type="string">
              School URL
            </ResponseField>

            <ResponseField name="logo_url" type="string">
              School logo URL
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="degree" type="string">
          Degree name
        </ResponseField>

        <ResponseField name="field_of_study" type="string">
          Field of study
        </ResponseField>

        <ResponseField name="start_date" type="string">
          Start year
        </ResponseField>

        <ResponseField name="end_date" type="string">
          End year
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="skills" type="array">
      Array of skill names (strings)
    </ResponseField>

    <ResponseField name="certifications" type="array">
      Certifications

      <Expandable title="certification item properties">
        <ResponseField name="name" type="string">
          Certification name
        </ResponseField>

        <ResponseField name="authority" type="string">
          Issuing authority
        </ResponseField>

        <ResponseField name="url" type="string">
          Certification URL
        </ResponseField>

        <ResponseField name="start_date" type="string">
          Issue date (YYYY-MM format)
        </ResponseField>

        <ResponseField name="end_date" type="string">
          Expiration date (YYYY-MM format)
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="languages" type="array">
      Languages with proficiency

      <Expandable title="language item properties">
        <ResponseField name="name" type="string">
          Language name
        </ResponseField>

        <ResponseField name="proficiency" type="string">
          Proficiency level (e.g., "Native", "Professional")
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="metrics" type="object">
      Profile metrics

      <Expandable title="metrics properties">
        <ResponseField name="followers" type="number">
          Number of followers
        </ResponseField>

        <ResponseField name="skills_count" type="number">
          Total number of skills
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="work_email" type="string | null">
  Professional email address (only present if `enrich_work_email: true`). Example: "[john.doe@google.com](mailto:john.doe@google.com)"
</ResponseField>

<ResponseField name="personal_email" type="string | null">
  Personal email address (only present if `enrich_personal_email: true`). Example: "[john@gmail.com](mailto:john@gmail.com)"
</ResponseField>

<ResponseField name="phone" type="string | null">
  Phone number (only present if `enrich_phone: true`). Example: "+1 415 555 0123"
</ResponseField>

<ResponseField name="git_profile" type="object | null">
  GitHub profile data (only present if `enrich_github: true`)

  <Expandable title="git_profile properties">
    <ResponseField name="username" type="string">
      GitHub username
    </ResponseField>

    <ResponseField name="display_name" type="string">
      GitHub display name
    </ResponseField>

    <ResponseField name="avatar_url" type="string">
      GitHub avatar URL
    </ResponseField>

    <ResponseField name="bio" type="string | null">
      GitHub bio
    </ResponseField>

    <ResponseField name="location" type="string | null">
      Location from GitHub profile
    </ResponseField>

    <ResponseField name="company" type="string | null">
      Company from GitHub profile
    </ResponseField>

    <ResponseField name="email" type="string | null">
      Public email from GitHub profile
    </ResponseField>

    <ResponseField name="followers" type="number | null">
      Number of followers
    </ResponseField>

    <ResponseField name="following" type="number | null">
      Number of following
    </ResponseField>

    <ResponseField name="repos_count" type="number">
      Number of public repositories
    </ResponseField>

    <ResponseField name="starred_repos" type="number">
      Number of starred repositories
    </ResponseField>

    <ResponseField name="contributions_last_year" type="number">
      Number of contributions in the last year
    </ResponseField>

    <ResponseField name="pinned_repos" type="array">
      Pinned repositories

      <Expandable title="pinned_repos item properties">
        <ResponseField name="name" type="string">
          Repository name
        </ResponseField>

        <ResponseField name="description" type="string | null">
          Repository description
        </ResponseField>

        <ResponseField name="language" type="string | null">
          Primary programming language
        </ResponseField>

        <ResponseField name="stars" type="number">
          Number of stars
        </ResponseField>

        <ResponseField name="forks" type="number">
          Number of forks
        </ResponseField>

        <ResponseField name="url" type="string">
          Repository URL
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="readme_bio" type="string | null">
      Bio from profile README
    </ResponseField>

    <ResponseField name="achievements" type="array">
      GitHub achievements (array of strings)
    </ResponseField>

    <ResponseField name="highlights" type="array">
      GitHub highlights (array of strings)
    </ResponseField>

    <ResponseField name="github_url" type="string">
      GitHub profile URL
    </ResponseField>
  </Expandable>
</ResponseField>

***

<RequestExample>
  ```bash cURL - Full profile + work email theme={null}
  curl -X POST https://api.dataforb2b.ai/enrich/profile \
    -H "api_key: YOUR_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "profile_identifier": "prof_PVXj1LZJg54zXKcnKNBusu8LgvJX5SYm5QYj",
      "enrich_profile": true,
      "enrich_work_email": true
    }'
  ```

  ```bash cURL - Full profile + GitHub theme={null}
  curl -X POST https://api.dataforb2b.ai/enrich/profile \
    -H "api_key: YOUR_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "profile_identifier": "prof_PVXj1LZJg54zXKcnKNBusu8LgvJX5SYm5QYj",
      "enrich_profile": true,
      "enrich_github": true
    }'
  ```

  ```bash cURL - Phone only theme={null}
  curl -X POST https://api.dataforb2b.ai/enrich/profile \
    -H "api_key: YOUR_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "profile_identifier": "john-doe",
      "enrich_phone": true
    }'
  ```

  ```python Python theme={null}
  import requests

  # Full profile + work email + GitHub
  response = requests.post(
      "https://api.dataforb2b.ai/enrich/profile",
      headers={
          "api_key": "YOUR_api_key",
          "Content-Type": "application/json"
      },
      json={
          "profile_identifier": "prof_PVXj1LZJg54zXKcnKNBusu8LgvJX5SYm5QYj",
          "enrich_profile": True,
          "enrich_work_email": True,
          "enrich_github": True
      }
  )

  data = response.json()
  print(f"Profile: {data.get('profile')}")
  print(f"Work email: {data.get('work_email')}")
  print(f"GitHub: {data.get('git_profile')}")
  ```

  ```javascript JavaScript theme={null}
  // Full profile + work email + GitHub
  const response = await fetch('https://api.dataforb2b.ai/enrich/profile', {
    method: 'POST',
    headers: {
      'api_key': 'YOUR_api_key',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      profile_identifier: 'prof_PVXj1LZJg54zXKcnKNBusu8LgvJX5SYm5QYj',
      enrich_profile: true,
      enrich_work_email: true,
      enrich_github: true
    })
  });

  const data = await response.json();
  console.log('Profile:', data.profile);
  console.log('Work email:', data.work_email);
  console.log('GitHub:', data.git_profile);
  ```
</RequestExample>
